Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
sondn

Giúp em sao xác định đuợc tâm của đa giác?

Các bài được khuyến nghị

Các bác giúp e với, ví dụ e có hình đa giác, giờ muốn xác định tâm của nó thì làm thế nào?

Trên diễn đàn đã có vô số bài viết về vấn đề anh hỏi, chỉ cần gõ hai chữ Trọng tâm vào ô Search sẽ hiện ra các bài viết. Nếu không thể làm được theo các các đã hướng dẫn anh hãy gửi file bản vẽ lên xem sao???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác giúp e với, ví dụ e có hình đa giác, giờ muốn xác định tâm của nó thì làm thế nào?

1. Truớc hết bạn bo hình đa giác đó lại;

2. Dùng lệnh massprop để xác định trọng tâm của nó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1. Truớc hết bạn bo hình đa giác đó lại;

2. Dùng lệnh massprop để xác định trọng tâm của nó.

Cám ơn bạn nhiều! mình dùng lệnh và đã xác định được tọa độ tâm đa giác, nhưng mình muốn vẽ được từ cái tâm đa giác đó luôn ý. rất mong được bạn quan tâm!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn bạn nhiều! mình dùng lệnh và đã xác định được tọa độ tâm đa giác, nhưng mình muốn vẽ được từ cái tâm đa giác đó luôn ý. rất mong được bạn quan tâm!

nghĩa là sao nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn bạn nhiều! mình dùng lệnh và đã xác định được tọa độ tâm đa giác, nhưng mình muốn vẽ được từ cái tâm đa giác đó luôn ý. rất mong được bạn quan tâm!

Cách 1: Dùng lisp

Đã sửa lại. Cac bạn chạy thử xem :

(defun centre(dt / cen)
;;copyright by Tue_NV
 (vl-load-com)
 (if (or (= (cdr(assoc 0 (entget dt))) "REGION") 
     	(and (wcmatch (cdr(assoc 0 (entget dt))) "*POLYLINE")
      (= (cdr(assoc 70 (entget dt))) 1)
        )
     )
      (if (and (wcmatch (cdr(assoc 0 (entget dt))) "*POLYLINE")
      (= (cdr(assoc 70 (entget dt))) 1)
          )
 (Progn
   (setq cen (vlax-get (car (vlax-invoke (vla-get-modelspace (vla-get-activedocument(vlax-get-acad-object)))
     		'addregion (list (vlax-ename->vla-object dt)))) 'Centroid))
   (entdel (entlast))
 )
 (setq cen (vlax-get (vlax-ename->vla-object dt) 'Centroid))
       )

 )    
 cen
)
(defun c:cen() (centre (car(entsel "\n Pick chon doi tuong lay trong tam :"))))

Mình sợ đặt lệnh chữ C trùng với lệnh của các bạn.

Các bạn sử dụng lệnh CEN để tìm trọng tâm

Trong 1 lệnh khác để tìm trọng tâm của 1 đa giác bất kì nhấn 'CEN

 

Cách 2: làm thủ công

 

Bước 1:-Biến đa giác thành region

 

Bước 2: Gõ lệnh Masspr >>> Chọn đối tượng region >>> sẽ hiện ra bảng cho biết các thông số về trọng tâm của Region

 

Bước 3: Gõ Esc 2 lần >>gõ tiếp F2 >>hiện ra bảng ....> Gõ lệnh L (line) Copy giá trị x, y vào dòng commad ...Xong.

 

Hoan3.jpg

hình 3

hoan4.jpg

Command: l LINE Specify point : 168.6778,4.7964 (lưu ý có dấu phẩy ở giữa x,y)

Hình 4

 

Hoan5.jpg

hình 5

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×